# -*- coding: utf-8 -*-

from django.conf.urls import url

from . import views


urlpatterns = [
    url(
        r'^pricelist/$',
        views.PriceListList.as_view(),
        name='pricelist_list'
    ),
    url(
        r'^pricelist/(?P<pk>\d+)/retrieve/$',
        views.PriceListRetrieve.as_view(),
        name='pricelist_retrieve'
    ),
    url(
        r'^pricelist/create/$',
        views.PriceListCreate.as_view(),
        name='pricelist_create'
    ),
    url(
        r'^pricelist/(?P<pk>\d+)/update/$',
        views.PriceListUpdate.as_view(),
        name='pricelist_update'
    ),
    url(
        r'^pricelistitem/$',
        views.PriceListItemList.as_view(),
        name='pricelistitem_list'
    ),
    url(
        r'^pricelistitem/(?P<pk>\d+)/retrieve/$',
        views.PriceListItemRetrieve.as_view(),
        name='pricelistitem_retrieve'
    ),
    url(
        r'^pricelistitem/create/$',
        views.PriceListItemCreate.as_view(),
        name='pricelistitem_create'
    ),
    url(
        r'^pricelistitem/(?P<pk>\d+)/update/$',
        views.PriceListItemUpdate.as_view(),
        name='pricelistitem_update'
    ),
    url(
        r'^organizationpricelist/$',
        views.OrganizationPriceListList.as_view(),
        name='organizationpricelist_list'
    ),
    url(
        r'^organizationpricelist/(?P<pk>\d+)/retrieve/$',
        views.OrganizationPriceListRetrieve.as_view(),
        name='organizationpricelist_retrieve'
    ),
    url(
        r'^organizationpricelist/create/$',
        views.OrganizationPriceListCreate.as_view(),
        name='organizationpricelist_create'
    ),
    url(
        r'^organizationpricelist/(?P<pk>\d+)/update/$',
        views.OrganizationPriceListUpdate.as_view(),
        name='organizationpricelist_update'
    ),
]
